PETSc version 3.15.5
Fix/Edit manual page

# PetscObjectSetOptionsPrefix

Sets the prefix used for searching for all options of PetscObjectType in the database.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectSetOptionsPrefix(PetscObject obj,const char prefix[])

Collective on Object

### Input Parameters

| obj | - any PETSc object, for example a Vec, Mat or KSP.
| prefix | - the prefix string to prepend to option requests of the object.

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

### See Also

PetscOptionsCreate(), PetscOptionsDestroy(), PetscObjectAppendOptionsPrefix(), PetscObjectPrependOptionsPrefix(),
PetscObjectGetOptionsPrefix(), TSSetOptionsPrefix(), SNESSetOptionsPrefix(), KSPSetOptionsPrefix()

### Level

advanced

### Location

src/sys/objects/prefix.c

### Examples

src/snes/tutorials/ex56.c.html
src/ts/tutorials/ex11.c.html
src/ts/tutorials/ex45.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages